Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(199)

Issue 6606493159784448: New JNI bindings (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 4 months ago by René Jeschke
Modified:
5 years, 3 months ago
Reviewers:
Felix Dahlke
CC:
Wladimir Palant
Visibility:
Public.

Description

New JNI bindings

Patch Set 1 #

Patch Set 2 : Added missing copyright header #

Patch Set 3 : Fixed wrong signature for getElementHidingSelectors. #

Patch Set 4 : Added LICENSE, moved callback impls into cpp files. #

Patch Set 5 : Cleaned up namespace usage in cpp files. #

Total comments: 30

Patch Set 6 : Style review fixes #

Total comments: 4

Patch Set 7 : Reuploaded full diff #

Total comments: 59

Patch Set 8 : Bug fix for global references (shadowing) #

Patch Set 9 : TRY, abpEngine, statics #

Patch Set 10 : Added missing empty lines after file comments #

Patch Set 11 : Changed AppInfo to use builder pattern. #

Patch Set 12 : Removed TODO from AppInfo. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3623 lines, -135 lines) Patch
M jni/Android.mk View 1 2 3 4 5 6 7 8 1 chunk +5 lines, -1 line 0 comments Download
A jni/JniCallbacks.h View 1 2 3 4 5 6 7 1 chunk +93 lines, -0 lines 0 comments Download
A jni/JniCallbacks.cpp View 1 2 3 4 5 6 7 1 chunk +49 lines, -0 lines 0 comments Download
A jni/JniEventCallback.cpp View 1 2 3 4 5 6 7 8 1 chunk +63 lines, -0 lines 0 comments Download
A jni/JniFilter.cpp View 1 2 3 4 5 6 7 8 1 chunk +126 lines, -0 lines 0 comments Download
A jni/JniFilterChangeCallback.cpp View 1 2 3 4 5 6 7 8 1 chunk +65 lines, -0 lines 0 comments Download
A jni/JniFilterEngine.cpp View 1 2 3 4 5 6 7 8 1 chunk +295 lines, -0 lines 0 comments Download
A jni/JniJsEngine.cpp View 1 2 3 4 5 6 7 8 1 chunk +260 lines, -0 lines 0 comments Download
A + jni/JniJsValue.h View 1 2 3 4 5 6 7 1 chunk +12 lines, -10 lines 0 comments Download
A jni/JniJsValue.cpp View 1 2 3 4 5 6 7 8 1 chunk +195 lines, -0 lines 0 comments Download
A jni/JniLogSystem.cpp View 1 2 3 4 5 6 7 8 1 chunk +98 lines, -0 lines 0 comments Download
A jni/JniSubscription.cpp View 1 2 3 4 5 6 7 8 1 chunk +107 lines, -0 lines 0 comments Download
A jni/JniUpdaterCallback.cpp View 1 2 3 4 5 6 7 8 1 chunk +64 lines, -0 lines 0 comments Download
A jni/JniWebRequest.cpp View 1 2 3 4 5 6 7 8 1 chunk +91 lines, -0 lines 0 comments Download
M jni/Utils.h View 1 2 3 4 5 6 7 8 1 chunk +152 lines, -0 lines 0 comments Download
M jni/Utils.cpp View 1 2 3 4 5 6 7 2 chunks +68 lines, -0 lines 0 comments Download
A src/com/github/rjeschke/neetutils/Objects.java View 1 2 6 1 chunk +135 lines, -0 lines 0 comments Download
A src/com/github/rjeschke/neetutils/collections/Tuple.java View 1 2 6 1 chunk +72 lines, -0 lines 0 comments Download
A src/com/github/rjeschke/neetutils/dispose/Disposable.java View 1 2 6 1 chunk +26 lines, -0 lines 0 comments Download
A src/com/github/rjeschke/neetutils/dispose/Disposer.java View 1 2 6 1 chunk +99 lines, -0 lines 0 comments Download
A src/com/github/rjeschke/neetutils/dispose/ReferenceList.java View 1 2 6 1 chunk +162 lines, -0 lines 0 comments Download
M src/org/adblockplus/android/ABPEngine.java View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
D src/org/adblockplus/android/JSEngine.java View 1 2 6 1 chunk +0 lines, -105 lines 0 comments Download
A + src/org/adblockplus/libadblockplus/AdblockPlusException.java View 1 2 3 4 5 6 7 1 chunk +18 lines, -18 lines 0 comments Download
A src/org/adblockplus/libadblockplus/AppInfo.java View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +109 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/EventCallback.java View 1 2 3 4 5 6 7 8 9 1 chunk +71 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/Filter.java View 1 2 3 4 5 6 7 8 9 1 chunk +93 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/FilterChangeCallback.java View 1 2 3 4 5 6 7 8 9 1 chunk +69 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/FilterEngine.java View 1 2 3 4 5 6 7 8 9 1 chunk +172 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/JniExceptionHandler.java View 1 2 3 4 5 6 7 8 9 1 chunk +70 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/JsEngine.java View 1 2 3 4 5 6 7 8 9 1 chunk +175 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/JsValue.java View 1 2 3 4 5 6 7 8 9 1 chunk +164 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/LogSystem.java View 1 2 3 4 5 6 7 8 9 1 chunk +74 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/ServerResponse.java View 1 2 3 4 5 6 7 8 9 1 chunk +134 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/Subscription.java View 1 2 3 4 5 6 7 8 9 1 chunk +95 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/UpdaterCallback.java View 1 2 3 4 5 6 7 8 9 1 chunk +69 lines, -0 lines 0 comments Download
A src/org/adblockplus/libadblockplus/WebRequest.java View 1 2 3 4 5 6 7 8 9 1 chunk +72 lines, -0 lines 0 comments Download

Messages

Total messages: 17
René Jeschke
5 years, 4 months ago (2014-03-14 11:34:13 UTC) #1
René Jeschke
Fixed wrong signature for getElementHidingSelectors.
5 years, 4 months ago (2014-03-20 12:17:56 UTC) #2
René Jeschke
Added LICENSE, moved callback impls into cpp files.
5 years, 4 months ago (2014-03-20 15:12:18 UTC) #3
René Jeschke
Cleaned up namespace usage in cpp files.
5 years, 4 months ago (2014-03-20 15:17:10 UTC) #4
Felix Dahlke
This is a huge review and I've been keeping you waiting long enough as it ...
5 years, 3 months ago (2014-03-28 08:29:00 UTC) #5
René Jeschke
http://codereview.adblockplus.org/6606493159784448/diff/5955934228578304/jni/Android.mk File jni/Android.mk (right): http://codereview.adblockplus.org/6606493159784448/diff/5955934228578304/jni/Android.mk#newcode28 jni/Android.mk:28: LOCAL_SRC_FILES += JniJsEngine.cpp JniFilterEngine.cpp On 2014/03/28 08:29:00, Felix H. ...
5 years, 3 months ago (2014-03-28 10:59:14 UTC) #6
Felix Dahlke
Great, looks like that's out of the way! Found a bit more minor stuff, but ...
5 years, 3 months ago (2014-03-28 11:27:17 UTC) #7
Felix Dahlke
Something seems to be wrong with Patch Set 7, it doesn't contain all the changes ...
5 years, 3 months ago (2014-03-28 15:52:51 UTC) #8
René Jeschke
On 2014/03/28 15:52:51, Felix H. Dahlke wrote: > Something seems to be wrong with Patch ...
5 years, 3 months ago (2014-03-28 15:58:05 UTC) #9
Felix Dahlke
Okay, looking pretty good, didn't find a lot, considering how big the patch is. http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/jni/JniCallbacks.h ...
5 years, 3 months ago (2014-03-28 17:28:41 UTC) #10
Felix Dahlke
Another comment, not really anything that needs changing, just something I'm wondering about. http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/jni/Android.mk File ...
5 years, 3 months ago (2014-03-28 17:36:22 UTC) #11
René Jeschke
http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/jni/Android.mk File jni/Android.mk (right): http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/jni/Android.mk#newcode26 jni/Android.mk:26: LOCAL_MODULE := abpEngine On 2014/03/28 17:36:23, Felix H. Dahlke ...
5 years, 3 months ago (2014-03-31 09:10:38 UTC) #12
Felix Dahlke
http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/jni/Android.mk File jni/Android.mk (right): http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/jni/Android.mk#newcode26 jni/Android.mk:26: LOCAL_MODULE := abpEngine On 2014/03/31 09:10:38, René Jeschke wrote: ...
5 years, 3 months ago (2014-03-31 10:43:23 UTC) #13
René Jeschke
http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/jni/Android.mk File jni/Android.mk (right): http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/jni/Android.mk#newcode26 jni/Android.mk:26: LOCAL_MODULE := abpEngine On 2014/03/31 10:43:23, Felix H. Dahlke ...
5 years, 3 months ago (2014-04-11 12:25:53 UTC) #14
Felix Dahlke
LGTM http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/src/org/adblockplus/android/api/AppInfo.java File src/org/adblockplus/android/api/AppInfo.java (right): http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/src/org/adblockplus/android/api/AppInfo.java#newcode29 src/org/adblockplus/android/api/AppInfo.java:29: // TODO: Builder or not? On 2014/04/11 12:25:53, ...
5 years, 3 months ago (2014-04-11 13:01:29 UTC) #15
René Jeschke
http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/src/org/adblockplus/android/api/AppInfo.java File src/org/adblockplus/android/api/AppInfo.java (right): http://codereview.adblockplus.org/6606493159784448/diff/5684049913839616/src/org/adblockplus/android/api/AppInfo.java#newcode29 src/org/adblockplus/android/api/AppInfo.java:29: // TODO: Builder or not? On 2014/04/11 13:01:29, Felix ...
5 years, 3 months ago (2014-04-11 13:28:39 UTC) #16
Felix Dahlke
5 years, 3 months ago (2014-04-11 13:41:16 UTC) #17
LGTM!
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5